Page MenuHomePhabricator

Regression: "Ranking of repositories" in Gerrit Review Queue is broken
Closed, ResolvedPublic

Description

I'm sorry to squeeze another task in August, but this is an important regression.

See "Ranking of repositories" at http://korma.wmflabs.org/browser/gerrit_review_queue.html

#1 is ExternalArticles, but the patches there are either WIP or -1
https://gerrit.wikimedia.org/r/#/q/status:open+project:mediawiki/extensions/ExternalArticles,n,z

#2 is stud, but... there is nothin open there?
https://gerrit.wikimedia.org/r/#/q/status:open+project:operations/debs/stud,n,z

#3 is Comments, which seems to be correct with one open patch without any reviews
https://gerrit.wikimedia.org/r/#/q/status:open+project:mediawiki/extensions/Comments,n,z

#4 is Erudite, which seems to have nothing open
https://gerrit.wikimedia.org/r/#/q/status:open+project:mediawiki/skins/Erudite,n,z

I stopped here.

I had noticed changes in the list when you refreshed the list of repos introducing new ones, but hadn't checked them in detail until today.

Event Timeline

Qgil created this task.Aug 12 2015, 12:17 PM
Qgil assigned this task to Dicortazar.
Qgil raised the priority of this task from to High.
Qgil updated the task description. (Show Details)
Qgil added a project: ECT-August-2015.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2015, 12:17 PM

Thanks for the pointer. I'll have a look at it as soon as possible. Currently working on the automation side of the repos.

Dicortazar added a subscriber: sduenas.EditedAug 26 2015, 3:23 PM

Hi there,

After checking the data (kudos to @sduenas), it was a mix of issues:

  • The first project in the list seems to be still the first. https://gerrit.wikimedia.org/r/#/q/status:open+project:mediawiki/extensions/ExternalArticles,n,z . There's one open changeset, while two of them are WIP, So ExternalArticles shows correct data.
  • stud project is a deprecated project, but this was not noticed till this issue. This is the reason why in the database there are some open changesets, but directly asking Gerrit they do not appear. If we ask by ssh Gerrit, this project does not exist. This issue is related to T101777: Remove deprecated repositories from korma.wmflabs.org code review metrics.
    • A similar case is found with the current third one that is 'varnish'. This project does not exist anymore, at least with such name.
    • Also with 'python-statsd'
  • And finally Erudite. In this case, the data were not udpated since the 19th, what provoked that incorrect behaviour.

My perception is that we can close this task as the list of repositories is correct, except for those that are deprecated that are in reality actions for T101777: Remove deprecated repositories from korma.wmflabs.org code review metrics.

In any case, we're re-running the toolset to have fresh data and compared with the old database to double check the dataset.

My perception is that we can close this task as the list of repositories is correct, except for those that are deprecated that are in reality actions for T101777: Remove deprecated repositories from korma.wmflabs.org code review metrics.

Thanks! In that case I'm going to lower the priority here and mark this task as "Blocked by: T101777" (And it might be implicit, but to explicitly state that: Feel encouraged to do such task edits if you feel like. :)

Aklapper changed the task status from Open to Stalled.Aug 26 2015, 7:48 PM
Aklapper lowered the priority of this task from High to Medium.
Aklapper set Security to None.

Once deprecated repositories (those found in the database but no in the projects list provided by gerrit) are removed, this ranking seems to be working once again. Sorry for the delay with this regression :(.

If there were other projects to be removed, please check T103984: Exclude certain repositories (upstream / inactive) from Gerrit metrics by blacklisting for further details.

Dicortazar closed this task as Resolved.Aug 27 2015, 4:25 PM
Dicortazar moved this task from Backlog to Doing on the ECT-August-2015 board.